Module | Sequel::UnthreadedServerBlock
In: | lib/sequel/extensions/server_block.rb

Adds with_server support for the sharded single connection pool.

### Methods

with_server

### Public Instance methods

with_server(server) {|| ...}

Set a default server/shard to use inside the block.

[Source]

        # File lib/sequel/extensions/server_block.rb, line 57
    57:     def with_server(server)
    58:       begin
    59:         set_default_server(server)
    60:         yield
    61:       ensure
    62:         clear_default_server
    63:       end
    64:     end

[Validate]